package de.ivu.elect.presentation.wahlvorschlag.menu;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahlvorschlag.boundary.WahlvorschlagExtendedDAO;

@Specializes
public class NlWasWahlvorschlagSearchMenuItemEntry extends WahlvorschlagSearchMenuItemEntry {
  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlvorschlagExtendedDAO wahlvorschlagExtendedDAO;

  @Override
  public boolean isRendered() {
    return super.isRendered() && isWahlvorschlaegeVorhanden();
  }

  private boolean isWahlvorschlaegeVorhanden() {
    // nur einmaliger Import von Wahlvorschlägen vorgesehen (bis zum Beweis des Gegenteils)
    Wahl selectedWahl = getSelectedWahl();
    if (selectedWahl == null) {
      return false;
    }
    return wahlvorschlagExtendedDAO.findByCountWahlvorschlagByWahl(selectedWahl) > 0;
  }
}
